Skip to content
Newer
Older
100755 29 lines (27 sloc) 737 Bytes
6b4b574 @jezdez Removed uuid from install_requires as Python 2.4 is freaking old and …
jezdez authored Feb 8, 2012
1 from setuptools import setup, find_packages
460b38a @dcramer Initial commit
authored Aug 31, 2010
2
3 setup(
4 name='django-uuidfield',
84d102d 0.5.0
David Cramer authored Feb 19, 2014
5 version='0.5.0',
460b38a @dcramer Initial commit
authored Sep 1, 2010
6 author='David Cramer',
7 author_email='dcramer@gmail.com',
8 description='UUIDField in Django',
d9598ff @dcramer Added basic readme and test structure
authored Dec 29, 2010
9 url='https://github.com/dcramer/django-uuidfield',
661c89f @dcramer Include uuid module as req (for older python versions) and mark zip_s…
authored Dec 29, 2010
10 zip_safe=False,
11 install_requires=[
a15e801 @dcramer list django as a requirement so our distribution is correct
authored Mar 15, 2011
12 'django',
d9598ff @dcramer Added basic readme and test structure
authored Dec 29, 2010
13 ],
59fce78 @dcramer Switch to django-nose
authored Jul 30, 2012
14 tests_require=[
15 'psycopg2',
16 'django-nose',
17 ],
460b38a @dcramer Initial commit
authored Sep 1, 2010
18 packages=find_packages(),
f6e65fc @dcramer Remove test suite hackery and bump version to 0.4.0
authored Jul 30, 2012
19 test_suite='runtests.runtests',
460b38a @dcramer Initial commit
authored Sep 1, 2010
20 include_package_data=True,
21 classifiers=[
22 "Framework :: Django",
23 "Intended Audience :: Developers",
24 "Intended Audience :: System Administrators",
25 "Operating System :: OS Independent",
26 "Topic :: Software Development"
27 ],
6b4b574 @jezdez Removed uuid from install_requires as Python 2.4 is freaking old and …
jezdez authored Feb 8, 2012
28 )
Something went wrong with that request. Please try again.